using System;

namespace takmicenje_sudar
{
    class Program
    {
        static int duzina(string a, string b) 
        {
            return Math.Max(a.Length, b.Length);
        }
        static void Main(string[] args)
        {
            string prvi = Console.ReadLine();
            string drugi = Console.ReadLine();

            int razlika = Math.Abs(prvi.Length - drugi.Length);
            for (int i=0; i < razlika; i++)
            {
                if (prvi.Length > drugi.Length) Console.Write(prvi[i]);
                else Console.Write(drugi[i]);
            }

            for (int i = razlika; i < duzina(prvi, drugi); i++) 
            {
                if (prvi.Length > drugi.Length)
                {
                    if (prvi[i] == drugi[i-razlika])
                    {
                        Console.Write(prvi[i]);
                        Console.Write(drugi[i-razlika]);
                    }
                    else if (prvi[i] > drugi[i-razlika])
                    {
                        Console.Write(prvi[i]);
                    }
                    else
                    {
                        Console.Write(drugi[i-razlika]);
                    }
                }
                else
                {
                    if (prvi[i - razlika] == drugi[i])
                    {
                        Console.Write(prvi[i - razlika]);
                        Console.Write(drugi[i]);
                    }
                    else if (prvi[i - razlika] > drugi[i])
                    {
                        Console.Write(prvi[i - razlika]);
                    }
                    else
                    {
                        Console.Write(drugi[i]);
                    }
                }
            }
            Console.WriteLine();
        }
    }
}